Part Line/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/tr |Name=Part Line |Name/tr=Parça Çizgi |MenuLocation=Parça → Temel geometrik şekil oluştur → Çizgi |Workbenches=Part Mod...")
(Updating to match new version of source page)
 
(11 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Part_Point|Point]]
|[[Part_RegularPolygon|RegularPolygon]]
|[[Part_Workbench|Part]]
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr
|Name=Part Line
|Name=Part Line
|Name/tr=Parça Çizgi
|Name/tr=Parça Çizgi
|MenuLocation=Parça → [[Part_CreatePrimitives/tr|Temel geometrik şekil oluştur]] → Çizgi
|MenuLocation=Parça → [[Part_CreatePrimitives/tr|Temel geometrik şekil oluştur]] → Çizgi
|Workbenches=[[Part Module|Parça]], [[OpenSCAD_Module|OpenSCAD]]
|Workbenches=[[Part_Workbench|Parça]], [[OpenSCAD_Workbench|OpenSCAD]]
|SeeAlso=..
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}
</div>


==Description==
===Geometric Primitives===
{|
| [[File:PartLinePrimitivesOptions_it.png]]
|
Line
====Parameter====
:
* {{Parameter|Start point}}
* {{Parameter|End point}}
====Location====
*
*
|}


A [[Image:Part_Line.svg|24px]] '''Part Line''' is a parametric line that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. The coordinates of its start and end point are relative to the coordinate system defined by its {{PropertyData|Placement}} property.
===Property===

{|
| [[File:PartLineProperty_it.png]]
[[Image:Part_Line_Example.png|400px]]

|
==== View ====
==Usage==

..
See [[Part_Primitives#Usage|Part Primitives]].
==== Data ====

{{KEY|Base}}<br />
== Properties ==
* {{PropertyData|Label}}:

* {{PropertyData|Placement}}: [[Placement|placement]]
See also: [[Property_editor|Property editor]].
{{KEY|Vertex 1 Start}}<br />

* {{PropertyData|X1}} :
A Part Line object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|X1}} :

* {{PropertyData|X1}} :
=== Data ===
{{KEY|Vertex 2 Finish}}<br />

* {{PropertyData|X2}} :
{{TitleProperty|Attachment}}
* {{PropertyData|X2}} :

* {{PropertyData|X2}} :
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
|}

{{clear}}
{{TitleProperty|Vertex 1 - Start}}

* {{PropertyData|X1|Distance}}: The X coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Y1|Distance}}: The Y coordinate of the start point of the line. The default is {{Value|0mm}}.
* {{PropertyData|Z1|Distance}}: The Z coordinate of the start point of the line. The default is {{Value|0mm}}.

{{TitleProperty|Vertex 2 - Finish}}

* {{PropertyData|X2|Distance}}: The X coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Y2|Distance}}: The Y coordinate of the end point of the line. The default is {{Value|10mm}}.
* {{PropertyData|Z2|Distance}}: The Z coordinate of the end point of the line. The default is {{Value|10mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Line can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
}}

* Where {{Incode|"myLine"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()
}}


{{Docnav
|[[Part_Point|Point]]
|[[Part_RegularPolygon|RegularPolygon]]
|[[Part_Workbench|Part]]
|IconL=Part_Point.svg
|IconR=Part_RegularPolygon.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:36, 5 March 2022

Parça Çizgi

Menü konumu
Parça → Temel geometrik şekil oluştur → Çizgi
Tezgahlar
Parça, OpenSCAD
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Part Primitives

Description

A Part Line is a parametric line that can be created with the Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its VeriPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Vertex 1 - Start

  • VeriX1 (Distance): The X coordinate of the start point of the line. The default is 0mm.
  • VeriY1 (Distance): The Y coordinate of the start point of the line. The default is 0mm.
  • VeriZ1 (Distance): The Z coordinate of the start point of the line. The default is 0mm.

Vertex 2 - Finish

  • VeriX2 (Distance): The X coordinate of the end point of the line. The default is 10mm.
  • VeriY2 (Distance): The Y coordinate of the end point of the line. The default is 10mm.
  • VeriZ2 (Distance): The Z coordinate of the end point of the line. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Line can be created with the addObject() method of the document:

line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
  • Where "myLine" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9

doc.recompute()